MAXScript Language Reference > 3ds Max Objects > Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper > Modifier and SpacewarpModifier Types > Modifiers > Selection Modifiers >

# Poly_Select : Modifier

    Poly_Select - superclass: modifier;super-superclass:MAXWrapper - 16:0 - classID: #(2095390827, 823661829)

Value > MAXWrapper > Modifier > Poly_Select

| Modifier Classes - Quick Navigation

Constructors

    Poly_Select ... 'PolyMesh Select'...

Properties

    <Poly_Select>.useSoftSelection Boolean default: false -- boolean; Use_Soft_Selection

Affects the action of Move, Rotate, and Scale functions within editable object or edit modifier, and the action of deformation modifiers applied to the object if they are operating on a sub-object selection. When on,3ds Max applies a spline curve deformation to the unselected sub-objects surrounding the selection that you transform. To take effect, this check box must be on before moving the selection.

You can also use the keyboard shortcut Ctrl+S to toggle Use Soft Selection (while the Plug-In Keyboard Shortcut Toggle button is turned on).

    <Poly_Select>.softselUseEdgeDistance Boolean default: false -- boolean; Use_Edge_Distance

    <Poly_Select>.softselEdgeDist Integer default: 1 -- animatable; integer; Edge_Distance

This spinner setting limits the region affected by the number of edges between the selection and the affected vertices. The affected region is measured in terms of "edge-distance" space, along the surface, rather than real space.

    <Poly_Select>.softselAffectBackfacing Boolean default: false -- boolean; Affect_Backfacing

When on, deselected sub-objects whose normals (or, in the case of vertices and edges, the normals of faces to which they're attached) are facing in the opposite direction to the average normal of the selected sub-objects, are affected by the soft selection influence. Turn off Affect Backfacing when you want to pull faces of a thin object, such as a thin box, but don't want to affect faces on the other side of the object.

You can also use the keyboard shortcut Ctrl+F to toggle Affect Backfacing (while the Plug-In Keyboard Shortcut Toggle button is turned on).

    <Poly_Select>.softselFalloff Float default: 20.0 -- animatable; world units; Falloff

Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry. Default=20.

Note: At the Vertex sub-object level, the region specified by the Falloff setting is depicted graphically in the viewports as a vertex-color gradient from the Sub-selection color (normally red) to the Vertex Ticks color (normally blue). In addition, this gradient is updated in real time as you change the Falloff setting.

    <Poly_Select>.softselPinch Float default: 0.0 -- animatable; float; Pinch

Raises and lowers the top point of the curve along the vertical axis. Sets the relative "pointedness" of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis. Default=0.

    <Poly_Select>.softselBubble Float default: 0.0 -- animatable; float; Bubble

Expands and contracts the curve along the vertical axis. Sets the relative "fullness" of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a "valley" around the base of the region. Default=0.

    <Poly_Select>.byVertex Boolean default: false -- boolean; Select_By_Vertex

Get/set the state of the Select By Vertex option.

    <Poly_Select>.ignoreBackfacing Boolean default: false -- boolean; Ignore_Backfacing_in_Selections

Get/set the state of the Ignore Backfaces option.

    <Poly_Select>.materialID Integer default: 1 -- integer; Material_ID

Get/set the Material ID value.

The following properties have been added in 3ds Max7:

    <Poly_Select>.lockSoftSel BooleanClass default: false -- boolean;Lock_Soft_Selection

Get/set the Lock Soft Selection option. When set to true, the Soft Selection will not be recalculated dynamically based on the current "hard selection" and the procedural soft-selection parameters and will allow for painting custom soft-selection values using the brush.

    <Poly_Select>.paintSelSize Float default: 20.0 -- float; Brush_Size

Get/set the size of the paint brush.

    <Poly_Select>.paintSelStrength Float default:1.0 -- float; Brush_Strength

Get/set the strength of the paint brush.

    <Poly_Select>.paintSelValue Float default: 1.0 -- float; Selection_Value

Get/set the Selection Value to be applied by the brush.

The following properties have been added in 3ds Max 8:

    <Poly_Select>.loopEdgeSel Integer default: 0 -- integer; Loop_Sel

Get/set the loop edge selection value.

    <Poly_Select>.ringEdgeSel Integer default: 0 -- integer; Ring_Sel

Get/set the ring edge selection value.

#### See Also

- Edit_Poly : Modifier

- Editable Poly - Topics Index